Domains
All operations require authentication.
List domainsProduction
Returns the domains of the platform with their current state. Filter them by organizationId, organizationLabel or domainName.
Path parameters
Platform ID
Query parameters
Filter by domain name
Filter by organization identifier
Filter by organization label
Headers
Pagination cursor
Pagination size
Response
Checksum hash in MD5 representation
Object representing domain
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing domain
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "createdAt": "2024-01-01T12:00:00Z", "expectedDNSConfig": { "autodiscover": "string", "dkim": { "cnames": [ { "name": null, "value": null } ] }, "mx": [ { "priority": 0, "target": "string" } ], "ownership": { "cname": "string" }, "spf": "string" }, "name": "string", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "status": "READY", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "dkimEnabled": true, "organizationId": "00000000-0000-0000-0000-000000000000" } }]
Get a domainProduction
Returns the domain, its organization, its account statistics per offer and the DNS configuration to apply: ownership, MX, SPF, DKIM and autodiscover.
Path parameters
Domain ID
Platform ID
Response
Checksum hash in MD5 representation
Object representing domain
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing domain
Example uses domainId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ domain/ {domainId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "createdAt": "2024-01-01T12:00:00Z", "expectedDNSConfig": { "autodiscover": "string", "dkim": { "cnames": [ { "name": "string", "value": "string" } ] }, "mx": [ { "priority": 0, "target": "string" } ], "ownership": { "cname": "string" }, "spf": "string" }, "name": "string", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "status": "READY", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "dkimEnabled": true, "organizationId": "00000000-0000-0000-0000-000000000000" }}
Create a domainProduction
Adds a domain to an organization from its name and organizationId. When the DNS zone is hosted by OVHcloud, autoConfigureMX, autoConfigureSPF, autoConfigureDKIM and autoConfigureAutodiscover configure the matching records automatically. Creation is asynchronous: follow resourceStatus and currentTasks.
Path parameters
Platform ID
Request body (required)
Target organization specification
Response
Checksum hash in MD5 representation
Object representing domain
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing domain
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ domain \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "createdAt": "2024-01-01T12:00:00Z", "expectedDNSConfig": { "autodiscover": "string", "dkim": { "cnames": [ { "name": "string", "value": "string" } ] }, "mx": [ { "priority": 0, "target": "string" } ], "ownership": { "cname": "string" }, "spf": "string" }, "name": "string", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "status": "READY", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "dkimEnabled": true, "organizationId": "00000000-0000-0000-0000-000000000000" }}
Delete a domainProduction
Deletes the domain from its organization.
Path parameters
Domain ID
Platform ID
Response
Example uses domainId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ domain/ {domainId} \
-H "authorization: Bearer $OVH_TOKEN"Update a domainProduction
Enables or disables DKIM with dkimEnabled, or moves the domain, with its email accounts, to another organization with organizationId. When set, checksum must match the current checksum of the domain, otherwise the update is rejected.
Path parameters
Domain ID
Platform ID
Request body (required)
Known checksum of the resource, allowing to prevent unwanted side effects
Target domain specification
Response
Checksum hash in MD5 representation
Object representing domain
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing domain
Example uses domainId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ domain/ {domainId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "accountsStatistics": [ { "availableAccountsCount": 0, "configuredAccountsCount": 0, "offer": "PRO" } ], "createdAt": "2024-01-01T12:00:00Z", "expectedDNSConfig": { "autodiscover": "string", "dkim": { "cnames": [ { "name": "string", "value": "string" } ] }, "mx": [ { "priority": 0, "target": "string" } ], "ownership": { "cname": "string" }, "spf": "string" }, "name": "string", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "status": "READY", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "dkimEnabled": true, "organizationId": "00000000-0000-0000-0000-000000000000" }}